org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class FilterStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.FilterStageVerification

    public class FilterStageVerification
    extends java.lang.Object

Verification for the filter stage.

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `filterStageBuilderShouldBeReusable()`
`void` `filterStageShouldFilterElements()`
`void` `filterStageShouldPropagateCancel()`
`void` `filterStageShouldPropagateExceptions()`
`void` `filterStageShouldPropagateUpstreamExceptions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### filterStageShouldFilterElements

    public void filterStageShouldFilterElements()

#### filterStageShouldPropagateExceptions

    public void filterStageShouldPropagateExceptions()

#### filterStageShouldPropagateUpstreamExceptions

    public void filterStageShouldPropagateUpstreamExceptions()

#### filterStageShouldPropagateCancel

    public void filterStageShouldPropagateCancel()

#### filterStageBuilderShouldBeReusable

    public void filterStageBuilderShouldBeReusable()